/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kimiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KIMIFACE_STUB__
#define __KIMIFACE_STUB__

#include <dcopstub.h>
#include <kurl.h>
#include <qstringlist.h>
#include <dcopobject.h>
#include <qpixmap.h>


class KIMIface_stub : virtual public DCOPStub
{
public:
    KIMIface_stub( const QCString& app, const QCString& id );
    KIMIface_stub( DCOPClient* client, const QCString& app, const QCString& id );
    explicit KIMIface_stub( const DCOPRef& ref );
    virtual QStringList allContacts();
    virtual QStringList reachableContacts();
    virtual QStringList onlineContacts();
    virtual QStringList fileTransferContacts();
    virtual bool isPresent( const QString& uid );
    virtual QString displayName( const QString& uid );
    virtual QString presenceString( const QString& uid );
    virtual int presenceStatus( const QString& uid );
    virtual bool canReceiveFiles( const QString& uid );
    virtual bool canRespond( const QString& uid );
    virtual QString locate( const QString& contactId, const QString& protocol );
    virtual QPixmap icon( const QString& uid );
    virtual QString context( const QString& uid );
    virtual QStringList protocols();
    virtual void messageContact( const QString& uid, const QString& message );
    virtual void messageNewContact( const QString& contactId, const QString& protocol );
    virtual void chatWithContact( const QString& uid );
    virtual void sendFile( const QString& uid, const KURL& sourceURL, const QString& altFileName, uint fileSize );
    virtual bool addContact( const QString& contactId, const QString& protocol );
protected:
    KIMIface_stub() : DCOPStub( never_use ) {}
};


#endif
